Bug 1572760 - OSPD 13 Undercloud - Infrastructure Provider Network Manager does not refreshed
Summary: OSPD 13 Undercloud - Infrastructure Provider Network Manager does not refreshed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: GA
: 5.9.3
Assignee: Sam Lucidi
QA Contact: Ido Ovadia
URL:
Whiteboard:
Depends On: 1571836
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 18:46 UTC by Satoe Imaishi
Modified: 2018-07-12 13:15 UTC (History)
8 users (show)

Fixed In Version: 5.9.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1571836
Environment:
Last Closed: 2018-07-12 13:14:18 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2184 0 None None None 2018-07-12 13:15:04 UTC

Comment 3 CFME Bot 2018-04-27 18:48:36 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/gaprindashvili:

https://github.com/ManageIQ/manageiq-providers-openstack/commit/c3afd13fbff7df3a25133481c2fb5025527b78de
commit c3afd13fbff7df3a25133481c2fb5025527b78de
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Fri Apr 27 10:49:37 2018 -0400
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Fri Apr 27 10:49:37 2018 -0400

    Merge pull request #280 from mansam/handled-list-catch-fog-not-found

    Catch Fog::Errors::NotFound in OpenstackHandle.handled_list
    (cherry picked from commit a95440e8ae0acea9667458ee3af3c0eb26ecb765)

    https://bugzilla.redhat.com/show_bug.cgi?id=1572760

 lib/manageiq/providers/openstack/legacy/openstack_handle/handled_list.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 4 Ido Ovadia 2018-05-02 15:19:09 UTC
Failed QA
=========

Reproduced on 5.9.2.4 still see ---> Last Refresh: Never

Comment 7 CFME Bot 2018-05-09 13:42:29 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/master:

https://github.com/ManageIQ/manageiq-providers-openstack/commit/5864c40f0c4833c04f210f68aab2cc6d306b4ce9
commit 5864c40f0c4833c04f210f68aab2cc6d306b4ce9
Author:     Sam Lucidi <slucidi@redhat.com>
AuthorDate: Tue May  8 14:44:46 2018 -0400
Commit:     Sam Lucidi <slucidi@redhat.com>
CommitDate: Tue May  8 14:44:46 2018 -0400

    Combine InfraManager and child manager refresh queues

    When the CloudManager's refresh queues were consolidated,
    the individual NetworkManager refresh worker was removed.
    However, the InfraManager's queues were not combined at
    the same time, resulting in Infra network refresh events
    not being picked up. This commit ensures that the Infra
    Manager's refresh worker picks up queued refreshes for
    its child managers as well.

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1572760

 app/models/manageiq/providers/openstack/infra_manager/refresh_worker.rb | 21 +
 spec/models/manageiq/providers/openstack/infra_manager/refresh_worker_spec.rb | 28 +
 2 files changed, 49 insertions(+)

Comment 9 CFME Bot 2018-05-16 17:26:03 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/gaprindashvili:

https://github.com/ManageIQ/manageiq-providers-openstack/commit/bda8d2119316e9cdfa5eceb824d46576a5f9d1cf
commit bda8d2119316e9cdfa5eceb824d46576a5f9d1cf
Author:     Marek Aufart <aufi.cz@gmail.com>
AuthorDate: Wed May  9 09:39:56 2018 -0400
Commit:     Marek Aufart <aufi.cz@gmail.com>
CommitDate: Wed May  9 09:39:56 2018 -0400

    Merge pull request #286 from mansam/combine-infra-refresh-queues

    Combine InfraManager and child manager refresh queues
    (cherry picked from commit 13b43f22df209b8b656e8974627fa596a961e569)

    https://bugzilla.redhat.com/show_bug.cgi?id=1572760

 app/models/manageiq/providers/openstack/infra_manager/refresh_worker.rb | 21 +
 spec/models/manageiq/providers/openstack/infra_manager/refresh_worker_spec.rb | 28 +
 2 files changed, 49 insertions(+)

Comment 10 Ido Ovadia 2018-05-27 09:45:27 UTC
Verified
========
5.9.3.0

Comment 12 errata-xmlrpc 2018-07-12 13:14:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2184


Note You need to log in before you can comment on or make changes to this bug.